1

yop,

J'ai une erreur "Invalid flash upgrade" quand j'essaye de lancer TiEmu avec PedroM, que ce soit la ROM fournie ou un TIB que j'ai recompilé.
Une idée pour contourner ça stp Lionel ? smile
avatar
<<< Kernel Extremist©®™ >>>
Feel the power of (int16) !

2

Lionel Debroux a été invité sur ce sujet.
avatar
<<< Kernel Extremist©®™ >>>
Feel the power of (int16) !

3

ti68k_get_tib_infos() et ti68k_get_img_infos() de src/core/images.c peuvent retourner ERR_INVALID_UPGRADE pour diverses raisons, il faudrait savoir quel est le test qui échoue. Peux-tu debugger ça avec GDB, du genre "break ti68k_get_tib_infos" suivi de "next" ou "step" jusqu'à trouver, STP ? smile
avatar
Membre de la TI-Chess Team.
Co-mainteneur de GCC4TI (documentation en ligne de GCC4TI), TIEmu et TILP.
Co-admin de TI-Planet.

4

Alors on la fait doucement grin je commence par taper "gdb tiemu" j'imagine, puis ensuite la commande que tu m'as donnée ?
avatar
<<< Kernel Extremist©®™ >>>
Feel the power of (int16) !

5

Il faut que TIEmu ait été compilé avec les infos de debug et n'ait pas été strippé.
$ gdb tiemu
run
break ti68k_get_tib_infos
Ca devrait indiquer quelque chose de la forme "Breakpoint #1 set". Si le symbole n'est pas trouvé, ce n'est pas la peine d'aller plus loin.

Tu as recompilé libti* et TIEmu récemment ?
avatar
Membre de la TI-Chess Team.
Co-mainteneur de GCC4TI (documentation en ligne de GCC4TI), TIEmu et TILP.
Co-admin de TI-Planet.

6

Non, ça sort tout droit de Debian stable (10.2 il me semble). J'ai rien installé pour recompiler TiEmu par contre, c'est simple à faire ?
avatar
<<< Kernel Extremist©®™ >>>
Feel the power of (int16) !

7

* la version non GDB est plus simple à compiler que la version GDB - à supposer bien sûr que cette dernière puisse toujours compiler sur une distro moderne, ce dont je doute, et produise un exécutable utilisable, ce qui est encore plus douteux;
* puisque tu utilises le package, `apt-get build-depends tiemu` devrait installer les dépendances nécessaires à la compilation de la version non GDB;
* le script http://lpg.ticalc.org/prj_tiemu/downloads/install_tiemu.sh (également dans le repo TIEmu) fonctionne... peut-être. Ca fait longtemps que je ne l'ai pas testé, et il commence par une version antique de ce qui est maintenant dans install_tilp.sh.
avatar
Membre de la TI-Chess Team.
Co-mainteneur de GCC4TI (documentation en ligne de GCC4TI), TIEmu et TILP.
Co-admin de TI-Planet.